unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine,
  VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, Vcl.StdCtrls,
  VCLTee.TeeComma;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    ComboBox1: TComboBox;
    Edit1: TEdit;
    TeeCommander: TTeeCommander;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
     ScanChart: TChart;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses VCLTee.TeeConst;

procedure TForm1.Button1Click(Sender: TObject);
 procedure AddScanAsSeries(aLineColor: TColor; aTitle: string);
  var
    i: Integer;
    tmpLineSeries: TFastLineSeries;
  begin
    tmpLineSeries := TFastLineSeries.Create(ScanChart);
    tmpLineSeries.BeginUpdate;
    try
      tmpLineSeries.ParentChart := ScanChart;
      tmpLineSeries.Color := aLineColor;
      tmpLineSeries.Title := aTitle;
      for i := 0 to 1000 do
        tmpLineSeries.AddXY(i, Random(1000));
    finally
      tmpLineSeries.EndUpdate;
      tmpLineSeries.Active := True;
    end;
  end;
begin
  FreeAndNil(ScanChart);
  ScanChart := TChart.Create(self);
  ScanChart.Parent := Self;
  ScanChart.Align := alClient;
  ScanChart.View3D := False;
  ScanChart.Color := clWhite;
  ScanChart.Zoom.Pen.Color := clBlack;
  ScanChart.AutoRepaint := False;
  ScanChart.Legend.CheckBoxes := True;
  ScanChart.DefaultFont.Size := 14;
  TeeCommander.Panel := ScanChart;
  //
  ScanChart.AutoRepaint := False;
  try
    ScanChart.BottomAxis.Title.Caption := 'X Axis';
    ScanChart.LeftAxis.Title.Caption := 'Y Axis';
    ScanChart.SeriesList.Clear;
    AddScanAsSeries(clRed, 'First Line');
    AddScanAsSeries(clBlue, 'Second Line');
  finally
    ScanChart.AutoRepaint := True;
    ScanChart.Repaint;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Caption := TeeMsg_Version;
end;

end.
